Subject: Re: [dtn] Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Tue, 2 Nov 2021 13:45:26 -0700

On October 30, 2021 at 3:27:20 PM, Zaheduzzaman Sarker wrote:

Zahed:

Hi!

> I think now in the rechartering text
> (https://datatracker.ietf.org/doc/charter-ietf-dtn/ ) we are more clear on
> what we expect regarding Routing topics in DTN and where the DTN working
> group will be collaborating with MANET WG. Please have a look, I hope this
> is enough to clear the block.

manet is mentioned, but only under the management point.

I would like to see something specific related to the routing
(non-)work.  Here's a suggestion:

OLD>
   The Working Group charter intentionally excludes topics related to Routing
   in DTNs, as the topic is considered too open, and candidate protocols
   suitable for standardization do not yet exist. This does not preclude
   discussion of potential approaches to the problem of Routing in DTNs within
   the Working Group, but no Working Group document will be adopted under this
   charter.

NEW>  Add (something like) the following:

   The Working Group will coordinate and collaborate with the manet and rtgwg
   WGs, and any routing-related work will be brought to their attention.

Thanks!

Alvaro.

---

From: Rick Taylor <[email-masked]>
Date: Wed, 3 Nov 2021 09:29:50 +0000

Hi Alvaro,

I was really hoping that the paragraph after the one you quote would cover this?

" It is understood that although the DTN Working Group exists in the Transport Area, 
work items of the group span multiple topics related to other areas. 
The Working Group will coordinate with other IETF Working Groups, especially in the 
Security, Routing, Operation and Management Areas, to ensure the quality of 
peer review, the avoidance of duplication of effort, and alignment with specifications 
produced in other Working Groups."

Cheers,

Rick

> -----Original Message-----
> From: Alvaro Retana [mailto:[email-masked]]
> Sent: 02 November 2021 20:45
> To: Zaheduzzaman Sarker
> Cc: [email-masked]; [email-masked]; Rick Taylor; The IESG
> Subject: Re: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and
> COMMENT)
>

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 3 Nov 2021 04:18:38 -0700

On November 3, 2021 at 5:29:53 AM, Rick Taylor wrote:

Rick:

Hi!

> I was really hoping that the paragraph after the one you quote would cover

I read that paragraph as saying: we (dtn) are going to work on things
across areas, and will do our best to work with others.   That is not
a bad statement for the work that the WG is doing (management, for
example).

However, it is not what I'm looking for in the routing case.  Not only
does the text below not talk about redirecting routing work, it is
specifically about "work items": routing is not a work item, it is
intentionally excluded.

This takes me back to my original point: if routing is not in the
charter, then don't mention it in the charter.  If you still want to
mention it then please be explicit about what should happen to that
work.

Thanks!

Alvaro.

> "It is understood that although the DTN Working Group exists in the Transport
> Area, work items of the group span multiple topics related to other areas.
> The Working Group will coordinate with other IETF Working Groups, especially
> in the Security, Routing, Operation and Management Areas, to ensure the
> quality of peer review, the avoidance of duplication of effort, and alignment
> with specifications produced in other Working Groups."

---

From: Rick Taylor <[email-masked]>
Date: Wed, 3 Nov 2021 11:25:45 +0000

Hi Alvaro,

Okay that's clear to me.

We feel the need to keep the explicit "No routing" text in the charter to make it clear to the WG that it's out of scope.  How about we add "Routing will be done under a future charter in collaboration with the Routing Area" ?  (That's our intent, so you're right - let's state it).

I'll poke Zahed for the editorial pen.

Cheers,

Rick

> Sent: 03 November 2021 11:19
> To: Rick Taylor; Zaheduzzaman Sarker
> Cc: [email-masked]; [email-masked]; The IESG
> Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and
> COMMENT)
>

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 3 Nov 2021 06:23:15 -0700

s/…/Routing may be done in the future in collaboration with the Routing
Area.

Thanks!

Alvaro.

On November 3, 2021 at 7:25:52 AM, Rick Taylor (
[email-masked]) wrote:

Hi Alvaro,

Okay that's clear to me.

We feel the need to keep the explicit "No routing" text in the charter to
make it clear to the WG that it's out of scope. How about we add "Routing
will be done under a future charter in collaboration with the Routing Area"
? (That's our intent, so you're right - let's state it).

Cheers,

Rick

> > I was really hoping that the paragraph after the one you quote would
cover
> > this?

---

From: Rick Taylor <[email-masked]>
Date: Wed, 3 Nov 2021 13:29:30 +0000

Hmm.. that ‘may’ implies we might not do it at all, or not do it with RTG.

“The intention is to standardize DTN routing in the future, in collaboration with the Routing Area.”

But, yes, let’s not commit to the future now.

Rick

From: Alvaro Retana [mailto:[email-masked]] 
Sent: 03 November 2021 13:23
To: Rick Taylor; Zaheduzzaman Sarker
Cc: [email-masked]; [email-masked]; The IESG
Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

s/…/Routing may be done in the future in collaboration with the Routing Area.

Thanks!

Alvaro.

On November 3, 2021 at 7:25:52 AM, Rick Taylor ([email-masked]) wrote:
Hi Alvaro, 

Okay that's clear to me. 

Cheers, 

Rick

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 3 Nov 2021 08:33:25 -0700

We seem to be saying the same things: we want the work, if it materializes,
to be done in the IETF — and there must be coordination between dtn and the
routing area — the details on what/where/who/how can be defined when/if the
work exists in the future.  If this is not what you’re saying, please let
me know.  ;-)

As you

On November 3, 2021 at 9:29:35 AM, Rick Taylor (
[email-masked]) wrote:

“The intention is to standardize DTN routing in the future, in
collaboration with the Routing Area.”

Rick

Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK
and COMMENT)

Thanks!

Alvaro.

Okay that's clear to me.

Cheers,

Rick

cover

---

From: Rick Taylor <[email-masked]>
Date: Wed, 3 Nov 2021 15:36:24 +0000

Hi Alvaro,

I think we are agreeing.  I’ll wordsmith with Zahed.

Cheers,

Rick

Sent: 03 November 2021 15:33

We seem to be saying the same things: we want the work, if it materializes, to be done in the IETF — and there must be coordination between dtn and the routing area — the details on what/where/who/how can be defined when/if the work exists in the future.  If this is not what you’re saying, please let me know.  ;-)

As you

On November 3, 2021 at 9:29:35 AM, Rick Taylor ([email-masked]<mailto:[email-masked]>) wrote:
Hmm.. that ‘may’ implies we might not do it at all, or not do it with RTG.

Rick

From: Alvaro Retana [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 03 November 2021 13:23
To: Rick Taylor; Zaheduzzaman Sarker
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; The IESG
Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

Thanks!

Alvaro.

On November 3, 2021 at 7:25:52 AM, Rick Taylor ([email-masked]<mailto:[email-masked]>) wrote:
Hi Alvaro,

Okay that's clear to me.

Cheers,

Rick

> From: Alvaro Retana [mailto:[email-masked]<mailto:[email-masked]>]
> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; The IESG

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 3 Nov 2021 08:39:32 -0700

Sorry, sent too soon…

As you say, let’s not commit to the future now.  That is why I added the
“may”: even if I hope the work happens, we don’t know that it will.

I rather not paint the bike shed at all (i.e. I prefer it if routing is not
mentioned), but I will happily leave you to pick the color (specific text)
as long as it doesn’t make commitments (implied or otherwise) that we
(IETF) can’t make without knowing what the future holds.  IOW, “may”
doesn’t commit, but stating an intent does.

Alvaro.

On November 3, 2021 at 11:33:25 AM, Alvaro Retana ([email-masked])
wrote:

As you

Rick

Thanks!

Alvaro.

Okay that's clear to me.

Cheers,

Rick

> Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK
and
cover

---

From: "Taylor, Rick" <[email-masked]>
Date: Wed, 3 Nov 2021 16:00:04 +0000

Hi Alvaro,

I just want to be clear that we mean “may(A && B)” rather than “may(A) || may(B)”.  English is not a logical language.

Cheers,

Rick

Rick Taylor
Product Design Authority, Plexos, NetSim
Principal Engineer (eXpert), Mobile Communications
Airbus Defence and Space
Celtic Springs
Coedkernew
Newport
NP10 8FZ

Phone: +44 (0) 1633 71 5637
[email-masked]<mailto:[email-masked]>
www.airbus.com<http://www.airbus.com/>

From: dtn [mailto:[email-masked]] On Behalf Of Alvaro Retana
Sent: Wednesday, November 3, 2021 3:40 PM
To: Rick Taylor <[email-masked]>; Zaheduzzaman Sarker <[email-masked]>
Cc: [email-masked]; The IESG <[email-masked]>; [email-masked]
Subject: Re: [dtn] Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

Sorry, sent too soon…

As you say, let’s not commit to the future now.  That is why I added the “may”: even if I hope the work happens, we don’t know that it will.

I rather not paint the bike shed at all (i.e. I prefer it if routing is not mentioned), but I will happily leave you to pick the color (specific text) as long as it doesn’t make commitments (implied or otherwise) that we (IETF) can’t make without knowing what the future holds.  IOW, “may” doesn’t commit, but stating an intent does.

Alvaro.

On November 3, 2021 at 11:33:25 AM, Alvaro Retana ([email-masked]<mailto:[email-masked]>) wrote:
We seem to be saying the same things: we want the work, if it materializes, to be done in the IETF — and there must be coordination between dtn and the routing area — the details on what/where/who/how can be defined when/if the work exists in the future.  If this is not what you’re saying, please let me know.  ;-)

As you

Rick

Thanks!

Alvaro.

Okay that's clear to me.

Cheers,

Rick

> > with specifications produced in other Working Groups."

THIS DOCUMENT IS NOT SUBJECT TO EXPORT CONTROL.

This email (including any attachments) may contain confidential and/or privileged information or information otherwise protected from disclosure. If you are not the intended recipient, please notify the sender immediately, do not copy this message or any attachments and do not use it for any purpose or disclose its content to any person, but delete this message and any attachments from your system. Airbus Defence and Space Limited disclaims any and all liability if this email transmission was virus corrupted, altered or falsified.
-o-
Emails to Airbus Defence and Space Limited may be processed, recorded and monitored outside the UK.
-o-
Airbus Defence and Space Limited, Registered in England and Wales No. 2449259
Registered Office: Gunnels Wood Road, Stevenage, Hertfordshire, SG1 2AS, England

---

From: <[email-masked]>
Date: Fri, 12 Nov 2021 12:30:05 -0800

Hi, all.  Production of a Naming and Addressing Architecture document is at the top of our list of milestones, and nailing down that architecture is on the critical path to an eventual discussion of Routing in DTN.  I suspect, though, that there’s not yet enough agreement on this topic within the WG to base a draft on.  I think it might be helpful to try to reach some sort of rough consensus over email first.

Our 14-year-old DTN architecture (RFC 4838) says ‘"Late binding" means that the binding of a bundle’s destination to a particular set of destination identifiers or addresses does not necessarily happen at the bundle source.’  Also, ‘In a frequently-disconnected network, late binding may be advantageous because the transit time of a message may exceed the validity time of a binding, making binding at the source impossible or invalid. Furthermore, use of name-based routing with late binding may reduce the amount of administrative (mapping) information that must propagate through the network, and may also limit the scope of mapping synchronization requirements to a local topological neighborhood where changes are made.’

The bpbis specification is more terse, stating that one of the key capabilities of BP is ‘Late binding of overlay network endpoint identifiers to underlying constituent network addresses’.

Historically, these remarks have been interpreted to mean that the endpoint IDs that serve as the source, destination, reply-to, etc. of BP bundles are names rather than addresses.  There is no concept of an “address” in Bundle Protocol.  We do “name-based routing with late binding”, nominally at each forwarding point; we bind the destination EID – a name – to the convergence-layer address at which the next forwarding point (or, at the end of the path, the destination itself) is located within the topology of the underlying network.

And the names of endpoints are simply URIs formed according to registered URI schemes, currently just “dtn” and “ipn” (bpbis section 4.2.5).

So I am hoping this discussion can generate answers to the following questions (and perhaps a few more that will emerge in the course of the conversation):

*	The “late binding” concept seems to exclude the notion of a BP “address”.  Have we determined that we need to set that concept aside, i.e., that we need the source, destination, reply-to, etc. of a bundle to be addresses rather than names?  If so, is there some documentation of the use cases from which we reach this conclusion?
*	If BP addresses are indeed needed, do we still need BP endpoint “names” as well or can that structure be discarded?
*	If BP endpoint names are still needed, one way or the other, do we need to abandon the use of URIs to express those names?  Or do we just need different – or additional – URI schemes that can be used to write adequately expressive endpoint IDs?

Scott

From: dtn <[email-masked]> On Behalf Of Rick Taylor
Sent: Wednesday, November 3, 2021 8:36 AM
To: Alvaro Retana <[email-masked]>; Zaheduzzaman Sarker <[email-masked]>
Cc: [email-masked]; The IESG <[email-masked]>; [email-masked]
Subject: Re: [dtn] Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT)

Hi Alvaro,

Cheers,

Rick

Cc: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ; The IESG

 

As you

On November 3, 2021 at 9:29:35 AM, Rick Taylor ([email-masked] <mailto:[email-masked]> ) wrote:

Rick 

From: Alvaro Retana [mailto:[email-masked] <mailto:[email-masked]> ] 
Sent: 03 November 2021 13:23 
To: Rick Taylor; Zaheduzzaman Sarker 
Cc: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ; The IESG 
Subject: RE: Alvaro Retana's Block on charter-ietf-dtn-01-00: (with BLOCK and COMMENT) 

Thanks! 

Alvaro. 

On November 3, 2021 at 7:25:52 AM, Rick Taylor ([email-masked] <mailto:[email-masked]> ) wrote: 
Hi Alvaro, 

Okay that's clear to me. 

Cheers, 

Rick 

> From: Alvaro Retana [mailto:[email-masked] <mailto:[email-masked]> ] 
> Cc: [email-masked] <mailto:[email-masked]> ; [email-masked] <mailto:[email-masked]> ; The IESG